from inventory import equipment_classes
from combat import spell_classes
from meta import navigation, player_system, util


def main():
    # ******** GAME START ********
    # Event Handler (ie. Wait for player input with animation thing)
    ev = util.EventHandler()

    # The player
    PC = player_system.PlayerCharacter()
    PC.player_name = "Cam"

    nav = navigation.NavSystem(PC)

    # Initalize spells
    spells = spell_classes.Spells(PC)
    PC.spell_book.append(spells.fireball())

    # Game functions
    E = equipment_classes.Equip()

    PC.leveler(1)
    PC.current_health = PC.max_health
    PC.ability_power = PC.max_ability_power


    # Game start
    while True:
        nav.travel()
        break
    if PC.current_health > 0:
        print("You won")


if __name__ == "__main__":
    main()






